org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTArrayDeclarator

All Superinterfaces:
  IASTArrayDeclarator, IASTAttributeOwner, IASTDeclarator, IASTNameOwner, IASTNode, ICPPASTDeclarator

    public interface ICPPASTArrayDeclarator
    extends IASTArrayDeclarator, ICPPASTDeclarator

Array declarator for C++

Since:
  5.2

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTArrayDeclarator

`ARRAY_MODIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarator

`DECLARATOR_NAME, EMPTY_DECLARATOR_ARRAY, INITIALIZER, NESTED_DECLARATOR, POINTER_OPERATOR`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTArrayDeclarator

`addArrayModifier, copy, copy, getArrayModifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTDeclarator

`declaresParameterPack, setDeclaresParameterPack`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarator

`addPointerOperator, getInitializer, getName, getNestedDeclarator, getPointerOperators, setInitializer, setName, setNestedDeclarator`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`